<?php
/**
 * About Page Template Custom Fields
 *
 * @package Best_Minimal_Restaurant
 * @author  PriceListo
 */

if ( function_exists( 'acf_add_local_field_group' ) ) :

	acf_add_local_field_group(
		array(
			'key'                   => 'group_5f19c1d3e356f',
			'title'                 => esc_html__( 'About', 'best-minimal-restaurant' ),
			'fields'                => array(
				array(
					'key'               => 'field_about5f1bd00b1854a',
					'label'             => esc_html__( 'Show/Hide Sections', 'best-minimal-restaurant' ),
					'name'              => 'about-visible-sections',
					'type'              => 'checkbox',
					'instructions'      => esc_html__( 'Uncheck section(s) to be hided from the page!', 'best-minimal-restaurant' ),
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'choices'           => array(
						'breadcrumb' => esc_html__( 'Show Breadcrumb Section', 'best-minimal-restaurant' ),
						'about'      => esc_html__( 'Show About Section', 'best-minimal-restaurant' ),
						'video'      => esc_html__( 'Show Video Section', 'best-minimal-restaurant' ),
						'about2'     => esc_html__( 'Show About 2 Section', 'best-minimal-restaurant' ),
					),
					'allow_custom'      => 0,
					'default_value'     => array(
						0 => 'breadcrumb',
						1 => 'about',
						2 => 'video',
						3 => 'about2',
					),
					'layout'            => 'horizontal',
					'toggle'            => 0,
					'return_format'     => 'value',
					'save_custom'       => 0,
				),
				array(
					'key'               => 'field_about5f19c1fde535c',
					'label'             => esc_html__( 'Breadcrumb Section', 'best-minimal-restaurant' ),
					'name'              => '',
					'type'              => 'tab',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							array(
								'field'    => 'field_about5f1bd00b1854a',
								'operator' => '==',
								'value'    => 'breadcrumb',
							),
						),
					),
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'placement'         => 'top',
					'endpoint'          => 0,
				),
				array(
					'key'               => 'field_about5f19c223e535d',
					'label'             => esc_html__( 'Background', 'best-minimal-restaurant' ),
					'name'              => 'background-breadcrump',
					'type'              => 'image',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'return_format'     => 'url',
					'preview_size'      => 'medium',
					'library'           => 'all',
					'min_width'         => '',
					'min_height'        => '',
					'min_size'          => '',
					'max_width'         => '',
					'max_height'        => '',
					'max_size'          => '',
					'mime_types'        => '',
					'default_value'     => urestaurany_get_attachment_id_by_name( 'urest-minimal-aboutpage-breadcrumb-background' ),
				),
				array(
					'key'               => 'field_about5f19c267e535e',
					'label'             => esc_html__( 'Heading', 'best-minimal-restaurant' ),
					'name'              => 'heading-breadcrump',
					'type'              => 'text',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'default_value'     => esc_html__( 'About best restaurants', 'best-minimal-restaurant' ),
					'placeholder'       => '',
					'prepend'           => '',
					'append'            => '',
					'maxlength'         => '',
				),
				array(
					'key'               => 'field_about5f19c288e535f',
					'label'             => esc_html__( 'About Section', 'best-minimal-restaurant' ),
					'name'              => '',
					'type'              => 'tab',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							array(
								'field'    => 'field_about5f1bd00b1854a',
								'operator' => '==',
								'value'    => 'about',
							),
						),
					),
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'placement'         => 'top',
					'endpoint'          => 0,
				),
				array(
					'key'               => 'field_about5f19c2a6e5360',
					'label'             => esc_html__( 'Image', 'best-minimal-restaurant' ),
					'name'              => 'about-image',
					'type'              => 'image',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'return_format'     => 'array',
					'preview_size'      => 'medium',
					'library'           => 'all',
					'min_width'         => '',
					'min_height'        => '',
					'min_size'          => '',
					'max_width'         => '',
					'max_height'        => '',
					'max_size'          => '',
					'mime_types'        => '',
					'default_value'     => urestaurany_get_attachment_id_by_name( 'urest-minimal-aboutpage-about-section' ),
				),
				array(
					'key'               => 'field_about5f19e39ae5361',
					'label'             => esc_html__( 'Title', 'best-minimal-restaurant' ),
					'name'              => 'about-title',
					'type'              => 'text',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'default_value'     => esc_html__( 'About best restaurants', 'best-minimal-restaurant' ),
					'placeholder'       => '',
					'prepend'           => '',
					'append'            => '',
					'maxlength'         => '',
				),
				array(
					'key'               => 'field_about5f19e3cee5362',
					'label'             => esc_html__( 'Content', 'best-minimal-restaurant' ),
					'name'              => 'about-content',
					'type'              => 'wysiwyg',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'default_value'     => esc_html__(
						'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s stan

    dard dummy text ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting.dard dummy text ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting.dard dummy text ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting.dard dummy text ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting.dard dummy text ever since the 1500s,ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book.',
						'best-minimal-restaurant'
					),
					'tabs'              => 'all',
					'toolbar'           => 'full',
					'media_upload'      => 0,
					'delay'             => 0,
				),
				array(
					'key'               => 'field_about5f19e415e5363',
					'label'             => esc_html__( 'Video Section', 'best-minimal-restaurant' ),
					'name'              => '',
					'type'              => 'tab',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							array(
								'field'    => 'field_about5f1bd00b1854a',
								'operator' => '==',
								'value'    => 'video',
							),
						),
					),
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'placement'         => 'top',
					'endpoint'          => 0,
				),
				array(
					'key'               => 'field_about5f19e86ce5365',
					'label'             => esc_html__( 'Background Image', 'best-minimal-restaurant' ),
					'name'              => 'video-background-image',
					'type'              => 'image',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'return_format'     => 'url',
					'preview_size'      => 'medium',
					'library'           => 'all',
					'min_width'         => '',
					'min_height'        => '',
					'min_size'          => '',
					'max_width'         => '',
					'max_height'        => '',
					'max_size'          => '',
					'mime_types'        => '',
					'default_value'     => urestaurany_get_attachment_id_by_name( 'urest-minimal-aboutpage-video-section' ),
				),
				array(
					'key'               => 'field_about5f19e434e5364',
					'label'             => esc_html__( 'Promo Video', 'best-minimal-restaurant' ),
					'name'              => 'about-promo-video',
					'type'              => 'oembed',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'width'             => '',
					'height'            => '',
				),
				array(
					'key'               => 'field_about5f1a093eacc14',
					'label'             => esc_html__( 'About Section 2', 'best-minimal-restaurant' ),
					'name'              => '',
					'type'              => 'tab',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							array(
								'field'    => 'field_about5f1bd00b1854a',
								'operator' => '==',
								'value'    => 'about2',
							),
						),
					),
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'placement'         => 'top',
					'endpoint'          => 0,
				),
				array(
					'key'               => 'field_about5f1a0975acc17',
					'label'             => esc_html__( 'Title', 'best-minimal-restaurant' ),
					'name'              => 'about-title-2',
					'type'              => 'text',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'default_value'     => esc_html__( 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s stan', 'best-minimal-restaurant' ),
					'placeholder'       => '',
					'prepend'           => '',
					'append'            => '',
					'maxlength'         => '',
				),
				array(
					'key'               => 'field_about5f1a099eacc18',
					'label'             => esc_html__( 'Content', 'best-minimal-restaurant' ),
					'name'              => 'about-content-2',
					'type'              => 'wysiwyg',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'default_value'     => esc_html__( 'dard dummy text ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting.dard dummy text ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting.dard dummy text ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting.dard dummy text ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting.dard dummy text ever since the 1500s,ever since the 1500s,when an unknown printer took a galley of type and scrambled it to make a type specimen book.', 'best-minimal-restaurant' ),
					'tabs'              => 'all',
					'toolbar'           => 'full',
					'media_upload'      => 0,
					'delay'             => 0,
				),
				array(
					'key'               => 'field_about5f1a0964acc16',
					'label'             => esc_html__( 'Image', 'best-minimal-restaurant' ),
					'name'              => 'about-image-2',
					'type'              => 'image',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'return_format'     => 'array',
					'preview_size'      => 'medium',
					'library'           => 'all',
					'min_width'         => '',
					'min_height'        => '',
					'min_size'          => '',
					'max_width'         => '',
					'max_height'        => '',
					'max_size'          => '',
					'mime_types'        => '',
					'default_value'     => urestaurany_get_attachment_id_by_name( 'urest-minimal-aboutpage-about2-section' ),
				),
			),
			'location'              => array(
				array(
					array(
						'param'    => 'page_template',
						'operator' => '==',
						'value'    => 'template-about.php',
					),
				),
			),
			'menu_order'            => 0,
			'position'              => 'normal',
			'style'                 => 'default',
			'label_placement'       => 'top',
			'instruction_placement' => 'label',
			'hide_on_screen'        => array(
				1  => 'the_content',
				2  => 'excerpt',
				3  => 'discussion',
				4  => 'comments',
				7  => 'author',
				8  => 'format',
				10 => 'featured_image',
				11 => 'categories',
				12 => 'tags',
				13 => 'send-trackbacks',
			),
			'active'                => true,
			'description'           => '',
		)
	);

endif;
